/* 
* This file handles basic functionality of the login page.
* 
* @module scripts/login
*/

window.addEventListener('DOMContentLoaded', () => {

    const FOCUSED_CLASS_NAME = "focused";

    const passwordInput = document.querySelectorAll('.password-input')[0];
    const passwordWrapper = document.querySelectorAll('.password-wrapper')[0];

    passwordInput.addEventListener('focusin', () => {

        if (!passwordWrapper.classList.contains(FOCUSED_CLASS_NAME)) {

            passwordWrapper.classList.add(FOCUSED_CLASS_NAME);

        }

    });

    passwordInput.addEventListener('focusout', () => {

        if (passwordInput.value == "" && passwordWrapper.classList.contains(FOCUSED_CLASS_NAME)) {

            passwordWrapper.classList.remove(FOCUSED_CLASS_NAME);

        }

    });

});
